### Method

# FwupdPlugin Device attach_full

#### Declaration [src]

    gboolean
    fu_device_attach_full (
      FuDevice* self,
      FuProgress* progress,
      GError** error
    )

#### Description [src]

Attaches a device from the bootloader into application mode.

Available since: | 1.7.0

#### Parameters

`progress` | `FuProgress`
| A `FuProgress`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.